[android-components](../../index.md) / [mozilla.components.support.utils](../index.md) / [DownloadUtils](./index.md)

# DownloadUtils

`object DownloadUtils` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/utils/src/main/java/mozilla/components/support/utils/DownloadUtils.kt#L13)

### Functions

| Name | Summary |
|---|---|
| [guessFileName](guess-file-name.md) | `fun guessFileName(contentDisposition: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?, url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?, mimeType: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Guess the name of the file that should be downloaded. |
